=== modified file 'bzrlib/help_topics.py'
--- bzrlib/help_topics.py	2006-11-08 16:29:27 +0000
+++ bzrlib/help_topics.py	2006-11-09 14:29:21 +0000
@@ -24,7 +24,7 @@
 
 
 class HelpTopicRegistry(registry.Registry):
-    """A Regsitry customized for handling help topics."""
+    """A Registry customized for handling help topics."""
 
     def register(self, topic, detail, summary):
         """Register a new help topic.
@@ -46,8 +46,8 @@
         :param member_name: The member of the module to use for detailed help.
         :param summary: String providing single-line documentation for topic.
         """
-        super(HelpTopicRegistry, self).register(topic, module_name,
-                                                member_name, info=summary)
+        super(HelpTopicRegistry, self).register_lazy(topic, module_name,
+                                                     member_name, info=summary)
 
     def get_detail(self, topic):
         """Get the detailed help on a given topic."""

